Alembic Version 1.1

Loading...
Searching...
No Matches
Alembic::AbcGeom::ALEMBIC_VERSION_NS::IGeomBase::Sample Class Reference

`#include <IGeomBase.h>`

Collaboration diagram for Alembic::AbcGeom::ALEMBIC_VERSION_NS::IGeomBase::Sample:
[legend]

## Public Types
typedef Sample | this_type

## Public Member Functions
| Sample ()
Abc::Box3d | getSelfBounds () const
void | reset ()

## Protected Attributes
Abc::Box3d | m_selfBounds

## Friends
class | IGeomBase

## Detailed Description

Definition at line 211 of file IGeomBase.h.

## Member Typedef Documentation

## ◆ this_type

typedef Sample Alembic::AbcGeom::ALEMBIC_VERSION_NS::IGeomBase::Sample::this_type

Definition at line 214 of file IGeomBase.h.

## Constructor & Destructor Documentation

## ◆ Sample()

Alembic::AbcGeom::ALEMBIC_VERSION_NS::IGeomBase::Sample::Sample | ( |  | ) |
| inline

Definition at line 217 of file IGeomBase.h.

References reset().

Here is the call graph for this function:

## Member Function Documentation

## ◆ getSelfBounds()

Abc::Box3d Alembic::AbcGeom::ALEMBIC_VERSION_NS::IGeomBase::Sample::getSelfBounds | ( |  | ) | const
| inline

Definition at line 219 of file IGeomBase.h.

References m_selfBounds.

## ◆ reset()

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::IGeomBase::Sample::reset | ( |  | ) |
| inline

Definition at line 221 of file IGeomBase.h.

References m_selfBounds.

Referenced by Sample().

Here is the caller graph for this function:

## Friends And Related Symbol Documentation

## ◆ IGeomBase

friend class IGeomBase
| friend

Definition at line 227 of file IGeomBase.h.

References IGeomBase.

Referenced by IGeomBase.

## Member Data Documentation

## ◆ m_selfBounds

Abc::Box3d Alembic::AbcGeom::ALEMBIC_VERSION_NS::IGeomBase::Sample::m_selfBounds
| protected

Definition at line 228 of file IGeomBase.h.

Referenced by Alembic::AbcGeom::ALEMBIC_VERSION_NS::IGeomBase::get(), getSelfBounds(), and reset().

The documentation for this class was generated from the following file:

- opt/local/include/Alembic/AbcGeom/IGeomBase.h